#! /bin/bash

# debug alias, uncomment for extreme debugging
alias hugo=hugo -v --debug --logLevel=debug --printI18nWarnings --printPathWarnings --printUnusedTemplates --templateMetrics --templateMetricsHints

case $1 in
  main)
    hugo --enableGitInfo -d /drone/src/public/ --baseURL https://blog.ndumas.com
    ;;
  dev)
    hugo --enableGitInfo -d /drone/src/public/ --baseURL https://dev.blog.ndumas.com
    ;;
  drafts)
    hugo --enableGitInfo -DF -d /drone/src/public/ --baseURL https://drafts.blog.ndumas.com
    ;;
esac
